package org.myenterprise.services.tests.test2;

import javax.jws.WebService;
import javax.xml.ws.Holder;
import net.webservicex.WeatherForecastSoap;
import net.webservicex.WeatherForecasts;

@WebService(endpointInterface = "org.myenterprise.services.tests.test2.Test2", serviceName = "test2Service", portName = "test2Port", targetNamespace = "http://myenterprise.org/services/tests/test2")
public class Test2Impl implements Test2 {

	private WeatherForecastSoap weatherProxy;
	
	public WeatherForecastSoap getWeatherProxy() {
		return weatherProxy;
	}

	public void setWeatherProxy(WeatherForecastSoap weatherProxy) {
		this.weatherProxy = weatherProxy;
	}

	
	public String getVersion() {
		return "4.3.2";
	}
	
	
	public WeatherForecasts getWeather (String zipCode) {
		return weatherProxy.getWeatherByZipCode(zipCode);
	}
	
	

}
